cURL
curl --request GET \
--url https://api.maesn.dev/accounting/accounts/{accountId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/accounts/{accountId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ACCOUNT-KEY: <x-account-key>",
"X-API-KEY: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/accounts/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<x-api-key>")
req.Header.Add("X-ACCOUNT-KEY", "<x-account-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/accounts/{accountId}")
.header("X-API-KEY", "<x-api-key>")
.header("X-ACCOUNT-KEY", "<x-account-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/accounts/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<x-api-key>'
request["X-ACCOUNT-KEY"] = '<x-account-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": {
"id": "5570042",
"balance": 100,
"class": "ASSET",
"code": "91",
"createdDate": "2025-05-01T00:00:00Z",
"currency": "EUR",
"debitCreditIndicator": "DEBIT",
"description": "Business Savings Account",
"name": "Business Bank",
"number": "0150",
"parentAccountId": "46",
"status": "ACTIVE",
"taxRate": {
"id": "1895b05b-38a6-4a6a-9653-166389894350",
"code": "03",
"name": "TAX19",
"percentage": 19
},
"type": "BANK",
"updatedDate": "2021-06-01T00:00:00Z"
}
}Accounts
Get account
GET
/
accounting
/
accounts
/
{accountId}
cURL
curl --request GET \
--url https://api.maesn.dev/accounting/accounts/{accountId} \
--header 'X-ACCOUNT-KEY: <x-account-key>' \
--header 'X-API-KEY: <x-api-key>'import requests
url = "https://api.maesn.dev/accounting/accounts/{accountId}"
headers = {
"X-API-KEY": "<x-api-key>",
"X-ACCOUNT-KEY": "<x-account-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'X-API-KEY': '<x-api-key>', 'X-ACCOUNT-KEY': '<x-account-key>'}
};
fetch('https://api.maesn.dev/accounting/accounts/{accountId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.maesn.dev/accounting/accounts/{accountId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-ACCOUNT-KEY: <x-account-key>",
"X-API-KEY: <x-api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.maesn.dev/accounting/accounts/{accountId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<x-api-key>")
req.Header.Add("X-ACCOUNT-KEY", "<x-account-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.maesn.dev/accounting/accounts/{accountId}")
.header("X-API-KEY", "<x-api-key>")
.header("X-ACCOUNT-KEY", "<x-account-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.maesn.dev/accounting/accounts/{accountId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<x-api-key>'
request["X-ACCOUNT-KEY"] = '<x-account-key>'
response = http.request(request)
puts response.read_body{
"meta": {
"warnings": [
"Field not used by target system"
],
"pagination": {
"total": 125,
"perPage": 50,
"currentPage": 1,
"totalPages": 3
},
"partialErrors": [
{
"code": "FILE_UPLOAD_FAILED",
"message": "Attachment invoice.pdf could not be uploaded to the target system."
}
]
},
"data": {
"id": "5570042",
"balance": 100,
"class": "ASSET",
"code": "91",
"createdDate": "2025-05-01T00:00:00Z",
"currency": "EUR",
"debitCreditIndicator": "DEBIT",
"description": "Business Savings Account",
"name": "Business Bank",
"number": "0150",
"parentAccountId": "46",
"status": "ACTIVE",
"taxRate": {
"id": "1895b05b-38a6-4a6a-9653-166389894350",
"code": "03",
"name": "TAX19",
"percentage": 19
},
"type": "BANK",
"updatedDate": "2021-06-01T00:00:00Z"
}
}Field support per integration

Business Central
Business Central
If you’re not using the Interactive Authentication Flow, make sure the query parameters
environmentName and companyId are correctly populated.
You can obtain these values by using the GET Environments and GET Companies endpoints available under the Authentication section.Available options:
ASSET, EQUITY, EXPENSE, LIABILITY, REVENUEBusiness Central allows custom account classes. If custom values are used and no clear mapping to the provided enums exists, the field will return the original string value.

fortnox
fortnox

Odoo
Odoo
Query parameters:Supported response fields:
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.
QuickBooks
QuickBooks
Query parameters:Supported response fields:
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.
Sage Active
Sage Active
If you’re not using the Interactive Authentication Flow, make sure the query parameter
companyId is correctly populated.
You can obtain this value by using the GET Companies endpoint available under the Authentication section. Please use the id field as the companyId.Available options:
CUSTOMER, PROVIDER, BANK, CASH, CHARGE, REVENUE,
CAPITAL, FIXED_ASSET, MANAGEMENT_RESULT, DEPRECIATION_PROVISION, STOCK, RESULT_BALANCE_SHEET,
EMPLOYEE, TITLE, CURRENT_ASSETS, BORROWED_CAPITAL, COST, REDUCTION_IN_EXPENSES,
NEUTRAL_REVENUE, NEUTRAL_EXPENSES, SALES_DEDUCTION, EXCHANGE_RATE_INCOME, EXCHANGE_RATE_EXPENSE, BALANCE_CARRIED_FORWARD,
AGGREGATE_CARRIED_FORWARD, OTHER_BALANCE_SHEET_ACCOUNT, STATISTICAL_BALANCE, STATISTICAL_CONSUMPTION, CURRENT_ASSETS_INPUT_TAX, BORROWED_CAPITAL_OUTPUT_TAX,
CUSTOMER_PREPAYMENT, SUPPLIER_PREPAYMENT, CUSTOMER_PREPAYMENT_TAX_INCLUDED, SUPPLIER_PREPAYMENT_TAX_INCLUDED, INPUT_TAX, OUTPUT_TAX,
SUPPLIER_RETURNABLE_PACKAGING, CUSTOMER_RETURNABLE_PACKAGING
Xero
Xero
Query parameters:Supported response fields:
The
currency field supports ISO 4217 (3-letter codes).
For details visit the Standardized Data section.Available options:
BANK, CURRENT_ASSET, CURRENT_LIABILITY, DEPRECIATION, DIRECT_COSTS, EQUITY,
EXPENSE, FIXED_ASSET, INVENTORY, LIABILITY, NON_CURRENT_ASSET, OTHER_INCOME,
OVERHEADS, PRE_PAYMENT, REVENUE, SALES, NON_CURRENT_LIABILITYResponse
200 - application/json
Show child attributes
Show child attributes
Example:
{ "id": "5570042", "balance": 100, "class": "ASSET", "code": "91", "createdDate": "2025-05-01T00:00:00Z", "currency": "EUR", "debitCreditIndicator": "DEBIT", "description": "Business Savings Account", "name": "Business Bank", "number": "0150", "parentAccountId": "46", "status": "ACTIVE", "taxRate": { "id": "1895b05b-38a6-4a6a-9653-166389894350", "code": "03", "name": "TAX19", "percentage": 19 }, "type": "BANK", "updatedDate": "2021-06-01T00:00:00Z" }
Last modified on November 5, 2026
Was this page helpful?